Bug 1286843 - Lost tenant dropdown entries in orchestration reconfiguration dialog
Lost tenant dropdown entries in orchestration reconfiguration dialog
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Provisioning (Show other bugs)
Unspecified Unspecified
medium Severity medium
: GA
: 5.6.0
Assigned To: Bill Wei
: ZStream
Depends On: 1285755 1289282
Blocks: 1293711
  Show dependency treegraph
Reported: 2015-11-30 16:18 EST by Bill Wei
Modified: 2016-06-29 11:14 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1293711 (view as bug list)
Last Closed: 2016-06-29 11:14:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Tenant list (59.37 KB, image/png)
2016-05-13 14:20 EDT, Shveta
no flags Details

External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 2115141 None None None 2016-01-08 01:46 EST

  None (edit)
Description Bill Wei 2015-11-30 16:18:25 EST
Description of problem:
Order an orchestration service for OpenStack provider with multiple tenants. Choose a non-default tenant. After the service completes, try to reconfigure the service. On the dialog the tenant shows <default> and is not changeable. 

What to expect is the tenant should be the one previously selected.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:

Actual results:

Expected results:

Additional info:
Comment 2 Bill Wei 2015-11-30 16:30:52 EST
There are two causes for the problem.

Although the tenant selection does not look like a dropdown list, it is a disabled dynamic dropdown list. The script to provide entries to the dropdown does not work correctly for reconfiguration.

Secondly, the UI does not set the selection to the previously set value. The UI issue has been tracked by https://bugzilla.redhat.com/show_bug.cgi?id=1285755.

This BZ is to track the backend fix for the script to provide entries to the dropdown. The same problem is seen to other scripts to provision Azure related dynamic dropdown lists
Comment 3 Bill Wei 2015-12-21 16:20:57 EST
New commit detected on ManageIQ/manageiq/master:

commit f2d5092796985d2147bff0d79b4145b781f7a842
Author: Bill Wei <bilwei@redhat.com>
Date:   Mon Nov 30 15:11:49 2015 -0500

    Fix dynamic dropdown scripts for service reconfiguration
Comment 4 Shveta 2016-05-13 14:20 EDT
Created attachment 1157220 [details]
Tenant list

The reconfigure service does not show any field editable.
All are read only fields .
Comment 5 Bill Wei 2016-05-16 14:17:42 EDT
The tenant field suppose to be read only. Once a stack is deployment, the reconfiguration can change only the parameters.
Comment 6 Shveta 2016-05-16 14:37:08 EDT
Verified in
Comment 8 errata-xmlrpc 2016-06-29 11:14:05 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.